Bug 183704 - jms is needed by package avalon-logkit
jms is needed by package avalon-logkit
Product: Fedora
Classification: Fedora
Component: avalon-logkit (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Depends On:
  Show dependency treegraph
Reported: 2006-03-02 18:07 EST by Kjeld Flarup
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-08 16:30:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kjeld Flarup 2006-03-02 18:07:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
When upgrading the package avalon-logkit with yum I get this error:
Error: Missing Dependency: jms is needed by package avalon-logkit

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
yum update avalon-logkit 

Actual Results:  [root@media bin]# yum update avalon-logkit Setting up Update Process
Setting up repositories
dries                     100% |=========================|  951 B    00:00
atrpms                    100% |=========================|  951 B    00:00
jpackage-generic          100% |=========================|  951 B    00:00
dag                       100% |=========================|  951 B    00:00
updates                   100% |=========================|  951 B    00:00
newrpms                   100% |=========================|  951 B    00:00
release                   100% |=========================|  951 B    00:00
freshrpms                 100% |=========================|  951 B    00:00
extras                    100% |=========================|  951 B    00:00
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package avalon-logkit.noarch 0:1.2-3jpp set to be updated
--> Running transaction check
--> Processing Dependency: jms for package: avalon-logkit
--> Finished Dependency Resolution
Error: Missing Dependency: jms is needed by package avalon-logkit

Additional info:

I was actually trying to upgrade my whole system with "yum upgrade" when I got blocked by this.
Thus I cannot automatically upgrade my system and get all security fixes.
Comment 1 Deepak Bhole 2006-03-08 16:28:06 EST
It seems that avalon-logkit is being pulled from jpackage rather than the fedora
repos. The jpackage avalon-logkit may have the nonfree variable variable turned
on, causing it to require jms.

Please retry after disabling jpp repos, and it should work.

Note You need to log in before you can comment on or make changes to this bug.